org.wildfly.swarm.config.messaging.activemq.server

## Class ReplicationColocatedHAPolicy.ReplicationColocatedHAPolicyResources

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.ReplicationColocatedHAPolicy.ReplicationColocatedHAPolicyResources

- Enclosing class:
    ReplicationColocatedHAPolicy<T extends ReplicationColocatedHAPolicy<T>>

      public static class ReplicationColocatedHAPolicy.ReplicationColocatedHAPolicyResources
      extends Object

  Child mutators for ReplicationColocatedHAPolicy

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplicationColocatedHAPolicyResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MasterConfiguration` | `masterConfiguration()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `SlaveConfiguration` | `slaveConfiguration()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplicationColocatedHAPolicyResources

          public ReplicationColocatedHAPolicyResources()

  - ### Method Detail

    - #### masterConfiguration

          public MasterConfiguration masterConfiguration()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### slaveConfiguration

          public SlaveConfiguration slaveConfiguration()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

Copyright © 2018 JBoss by Red Hat. All rights reserved.